#!/bin/sh -f
#file name: [/usr/bin/toec_addprinter.sh ]
#
# pv - preview a specified page of a dvi file in a Ghostscript window
# usage: pv page file
#
# pv converts the given page to PostScript and displays it
# in a Ghostscript window.
#
#  echo usage: $0 'page_number file_name[.dvi]'


device_name="OEP4010DN"
printer_name="OEP4010DN"
ppd_file_name="OEP4010DN.ppd"

uris=$(lpinfo -v)

for uri in $uris
do
        URI=$(echo $uri | grep ${device_name} | grep usb)
        if [ "$URI" != '' ];then
                break;
        fi
done

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep ${device_name} )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep -i TOEC | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi


if [ "$URI" = '' ];then
        #URI="usb:/dev/usb/lp0"
        USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep OEP4010DN? |awk -F" " '{print $2}'`
        USB_NAME1=`/usr/lib/cups/backend/usb |grep direct |grep OEP4010DN |awk -F" " '{print $2}'`
        URIUSB=''
        if [ -z "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        USB_NAME=''
                        echo "There is NO OEP4010DN plugin"
                elif [ -n "$USB_NAME1" ];then
                        URIUSB=$USB_NAME1
                fi
        elif [ -n "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        URIUSB=$USB_NAME
                elif [ -n "$USB_NAME1" ];then
                        URIUSB=$USB_NAME
                fi
        fi

        if [ "$URIUSB" != '' ]; then

                urisFind=$(lpstat -v)
                echo $urisFind
                for uri in $urisFind
                do
                        echo $uri
                        URIFind=$(echo $uri | grep ${device_name} | grep usb)
                        if [ "$URIFind" != '' ];then
                                break;
                        fi
                done

                if [ "$URIFind" = '' ];then

                        /usr/sbin/lpadmin -p $printer_name -E -v $URIUSB -m $ppd_file_name

                        /usr/sbin/lpadmin -d $printer_name
                fi
        fi

else
        urisFind=$(lpstat -v)
        echo $urisFind
        for uri in $urisFind
        do
                echo $uri
                URIFind=$(echo $uri | grep ${device_name} | grep usb)
                if [ "$URIFind" != '' ];then
                        break;
                fi
        done

        if [ "$URIFind" = '' ];then

                /usr/sbin/lpadmin -p $printer_name -E -v $URI -m $ppd_file_name

                /usr/sbin/lpadmin -d $printer_name
        fi

fi


service cups restart

#exit 0
